Documentation Index
Fetch the complete documentation index at: https://docs.yasmina.ai/llms.txt
Use this file to discover all available pages before exploring further.

Yasmina AI Official Documentation
Learn how to integrate Yasmina embedded insurance smoothly into your platform.
Sandbox Test API KeysClient ID9f757acd-1ab4-466f-8cb2-d65ddedb2374
Client SecrettQraH8lXWnU5uZmnIrHazAyf8of0Jm3vYlh7Nyzo
Try out Motor Insurance on Sandbox
Authenticate
You can exchange your API Keys with an Access token. This access token will then be used to access all our APIs
curl -X POST https://sandbox.yasmina.ai/oauth/token \
-u "9f757acd-1ab4-466f-8cb2-d65ddedb2374:tQraH8lXWnU5uZmnIrHazAyf8of0Jm3vYlh7Nyzo" \
-d "grant_type=client_credentials"
Request a quote OTP
curl --location 'https://sandbox.yasmina.ai/api/v1/car-comp/quote-otp' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $ACCESS_TOKEN' \
--data-raw '{
"email": "[email protected]",
"phone": "0533XXXXXX",
"owner_id": "10XXXXXXXX"
}'
Request multi-provider quotes
curl --location 'https://sandbox.yasmina.ai/api/v1/car-comp/quote-requests' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $ACCESS_TOKEN' \
--data-raw '{
"otp": "2578",
"email": "[email protected]",
"owner_id": "10XXXXXXXX",
"phone": "0533XXXXXX",
"birthdate": "1989-02-17",
"car_sequence_number": 812309654,
"is_ownership_transfer": true,
"current_car_owner_id": "7012XXXXXX",
"car_estimated_cost": 52000,
"car_model_year": 2023
}'
Request a policy issue OTP
curl --location 'https://sandbox.yasmina.ai/api/v1/car-comp/issue-otp' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $ACCESS_TOKEN' \
--data-raw '{
"email": "[email protected]",
"phone": "0533XXXXXX",
"owner_id": "10XXXXXXXX",
"quote_request_id": 64,
"quote_reference_id": "6237e1aa-cec2-440e-acb5-20bcb8e99750",
"quote_price_id": "3adc577e-4dc4-f011-972d-005056a9891a"
}'
Generate a policy and payment link
curl --location 'https://sandbox.yasmina.ai/api/v1/car-comp/policies' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $ACCESS_TOKEN' \
--data '{
"benefits": [],
"otp": "1234",
"quote_request_id": 64,
"quote_reference_id": "6237e1aa-cec2-440e-acb5-20bcb8e99750",
"quote_price_id": "3adc577e-4dc4-f011-972d-005056a9891a"
}'
Integration Guides
Single Insurance Provider
SME
Medical InsuranceFacilitate efficient and automated insurance claims processes between
Healthcare Providers and Insurance Companies.
Travel
InsuranceSchengen travel insurance with flexible duration and multi-traveller
options.
Property
InsuranceEmbed property insurance into your platform, letting customers insure
properties with a click.
Multi Insurance Providers
Property
InsuranceCompare property insurance prices and providers to give customers
options.